local plato = require("plato")
local say = require("talk").say

local t = {
    main = function()
        if plato.once("first time") then
            plato.go("intro")
        else
            say("ines", "I'm back.")
            plato.go("options")
        end
    end,

    intro = function()
        say("ines", "...uncle Lee?")
        say("holeegram", "Young Ines! I haven't seen you in forever!")
        wait(1)
        say("ines", "...what happened to you?")
        say("holeegram", "I'm a HOLEEGRAM!")
        say("ines", "Of course you are.")
        say("ines", "But why? Did something happen to you?")
        say("holeegram", "Not at all, I just wanted to try something new.")
        say("holeegram", "I haven't felt this light since I was 105!")
        say("holeegram", "But enough about me.")
        say("holeegram", "I imagine you got here using my marvellous temporal navigator™.")

        -- pass extra argument to options so the line is not spoken (check intro2 for why)
        plato.option(1, [[I wouldn't call it "marvellous"...]], "intro2", true)
        plato.option(2, "You're lucky I cannot punch you.", "intro2", true)
        plato.option(3, "I'm here because you BUTT-DIALED a time machine.", "intro2", true)
        plato.selection()
    end,

    intro2 = function()
        -- say this instead of the selected line
        say("ines", "...yes.")
        plato.go("options")
    end,

    options = function()
        plato.option(1, "How far into the future are we?", function ()
            say("holeegram", "Hundreds of years!")
            plato.go("options")
        end)
        plato.option_once(2, "fix", "Can you help me get out of this time tunnel?", function()
            say("holeegram", "Time tunnel?")
            say("ines", "You pressed your fancy button and disappeared, leaving me stranded.")
            say("ines", "Does that ring a bell?")
            say("holeegram", "Oh dear.")
            say("holeegram", "You'll have to be more specific.")
            say("holeegram", "I can think of at least five times that happened.")
            wait(1)
            say("ines", "Great.")
            say("ines", "The first one, I guess.")
            say("holeegram", "Ah, the Lake Fenfef trip!")
            say("ines", "Yep.")
            say("holeegram", "We'll need to fix your reality-fixing device™, right?")
            say("ines", "I don't know, YOU tell me.")
            wait(1)
            say("holeegram", "We'll need to fix your reality-fixing device™.")
            say("holeegram", "Put the device in the opening below me, so I can analyse it.")
            plato.exit()
        end)
        plato.option(2, "What did you need to fix the device?", function()
            say("holeegram", "I need a MAGNET and the COIN from the museum.")
            say("ines", "Got it.")
            plato.go("options")
        end)
        plato.option(3, "OK, see you later.", function()
            say("holeegram", "Or earlier!")
            plato.exit()
        end)
        plato.selection()
    end
}

return t
